/*
 * Copyright (c) 2011-2013 Alexandre Tuleu <alexandre.tuleu.2005@polytechnique.org>
 * Ecole Polytechnique Fédérale de Lausanne.
 *
 * this file is part of sbcpd.
 *
 * sbcpd is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * sbcpd is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the Lesser GNU General Public License
 * along with sbcpd.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * \file sbcpd.c
 *
 *  \date Aug 15, 2011
 *  \author Alexandre Tuleu
 */


#include "sbcpd.h"
#include <stdlib.h>

#include "si/ft2232h.h"
#include "settings.h"

//sbcpd_bus * sbcpd_default_oncilla_init(unsigned int master_id,
//                                       sbcpd_error * err){
//	sbcpd_bus_settings settings;
//	settings.frame_rate = 1;
//	settings.master_id = master_id;
//	settings.max_trials = 20;
//	sbcpd_bus * bus = sbcpd_create_bus(settings);
//
//	sbcpd_serial_interface * si = sbcpd_ft2232h_create_interface();
//
//	if(sbcpd_ft2232h_open(si,3310000,0,2) < 0 ){
//		if(err){
//			*err=si->error;
//		}
//		return NULL;
//	}
//
//
//	if(sbcpd_bus_open(bus,si) < 0){
//		if(err){
//			*err = bus->error;
//		}
//		return NULL;
//	}
//
//	return bus;
//}

/**
 * \defgroup sbcpd_m SBCP Driver Module
 *
 * \brief This module is responsible of the communication over SBCP buses.
 * Through the sbcpd_bus structure you can open and request the management of
 * one bus, where you can issue sbcpd_transfer request.
 *
 */
